<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<root>
  <item name="org.jetbrains.completion.full.line.local.generation.SimilarContextRetriever.RetrievedChunk org.jetbrains.completion.full.line.local.generation.SimilarContextRetriever.RetrievedChunk withFileType(org.jetbrains.completion.full.line.FileType)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.completion.full.line.local.generation.ChunkTrimmer">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.19874.12&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.completion.full.line.local.generation.SimilarContextRetriever java.lang.Object computeSimilarContext(org.jetbrains.completion.full.line.language.RAGSettings, com.intellij.psi.PsiFile, org.jetbrains.completion.full.line.local.tokenizer.Tokenizer, java.util.Set&lt;java.lang.Integer&gt;, int, java.util.List&lt;java.lang.Integer&gt;, kotlin.coroutines.Continuation&lt;? super int[]&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;241.15989.150&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.completion.full.line.local.generation.SimilarContextRetriever void dropDirCache(com.intellij.openapi.vfs.VirtualFile)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;243.21565.193&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.completion.full.line.local.generation.UtilsKt">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;241.14494.240&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.completion.full.line.local.generation.SimilarContextRetriever.SimilarContextRetrieverResult">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.completion.full.line.local.generation.IndexToValue int component1()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;241.14494.240&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.completion.full.line.local.generation.IndexToValue double component2()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;241.14494.240&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.completion.full.line.local.generation.RecentContextRetriever java.lang.Object getContextIds(com.intellij.psi.PsiFile, com.intellij.lang.Language, org.jetbrains.completion.full.line.tokenizer.Tokenizer, kotlin.coroutines.Continuation&lt;? super org.jetbrains.completion.full.line.local.generation.RecentContextRetriever.RecentContextRetrieverResult&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.completion.full.line.local.generation.RagRefactoringListenerProvider.Listener com.intellij.openapi.project.Project getProject()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;243.21565.193&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.completion.full.line.local.generation.IndexToValue int compareTo(org.jetbrains.completion.full.line.local.generation.IndexToValue)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;241.14494.240&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.completion.full.line.local.generation.RagVirtualFileListener">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;243.21565.193&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.completion.full.line.local.generation.IndexToValue org.jetbrains.completion.full.line.local.generation.IndexToValue copy(int, double)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;241.14494.240&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.completion.full.line.local.generation.SimilarContextRetriever org.jetbrains.completion.full.line.local.generation.SimilarContextRetriever.TokensToCompare getTokensToCompare(int, int, boolean, java.util.List&lt;java.lang.Integer&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;241.15989.150&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.completion.full.line.local.generation.SimilarContextRetriever.RetrievedChunk RetrievedChunk(int[], int[], int[], double, org.jetbrains.completion.full.line.FileType)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.completion.full.line.local.generation.UtilsKt int concatenate(java.util.List&lt;int[]&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;243.21565.193&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.completion.full.line.local.generation.SimilarContextRetriever.VirtualFileWithType org.jetbrains.completion.full.line.FileType component2()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.completion.full.line.local.generation.IndexToValue int getIndex()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;241.14494.240&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.completion.full.line.local.generation.SimilarContextRetriever.VirtualFileWithType org.jetbrains.completion.full.line.FileType getType()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.completion.full.line.local.generation.SimilarContextRetriever">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;241.14494.240&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.completion.full.line.local.generation.IndexToValue IndexToValue(int, double)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;241.14494.240&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.completion.full.line.local.generation.SimilarContextRetriever.RetrievedChunk org.jetbrains.completion.full.line.FileType getType()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.completion.full.line.local.generation.SimilarContextRetriever.VirtualFileWithType com.intellij.openapi.vfs.VirtualFile component1()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.completion.full.line.local.generation.RecentContextRetriever">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;243.21565.193&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.completion.full.line.local.generation.SimilarContextRetriever java.lang.Object getSimilarContextIds(com.intellij.psi.PsiFile, com.intellij.lang.Language, org.jetbrains.completion.full.line.tokenizer.Tokenizer, int, kotlin.coroutines.Continuation&lt;? super org.jetbrains.completion.full.line.local.generation.SimilarContextRetriever.SimilarContextRetrieverResult&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.completion.full.line.local.generation.SimilarContextRetriever.VirtualFileWithType org.jetbrains.completion.full.line.local.generation.SimilarContextRetriever.VirtualFileWithType copy(com.intellij.openapi.vfs.VirtualFile, org.jetbrains.completion.full.line.FileType)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.completion.full.line.local.generation.SimilarContextRetriever.RetrievedChunk org.jetbrains.completion.full.line.local.generation.SimilarContextRetriever.RetrievedChunk withJaccardSimilarity(java.util.Set&lt;java.lang.Integer&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.completion.full.line.local.generation.SimilarContextRetriever.ContextWithFeatures">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.completion.full.line.local.generation.SimilarContextRetriever.VirtualFileWithType VirtualFileWithType(com.intellij.openapi.vfs.VirtualFile, org.jetbrains.completion.full.line.FileType)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.completion.full.line.local.generation.SimilarContextRetriever java.lang.Object computeSimilarContext(org.jetbrains.completion.full.line.language.RAGSettings, com.intellij.psi.PsiFile, org.jetbrains.completion.full.line.tokenizer.Tokenizer, java.util.Set&lt;java.lang.Integer&gt;, java.util.List&lt;java.lang.Integer&gt;, kotlin.coroutines.Continuation&lt;? super org.jetbrains.completion.full.line.local.generation.SimilarContextRetriever.ContextWithFeatures&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;243.21565.193&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.completion.full.line.local.generation.IndexToValue double getValue()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;241.14494.240&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.completion.full.line.local.generation.SimilarContextRetriever.Companion java.util.List&lt;java.lang.Integer&gt; encodeMarkers(org.jetbrains.completion.full.line.tokenizer.Tokenizer, java.util.List&lt;java.lang.String&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;243.21565.193&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.completion.full.line.local.generation.SimilarContextRetriever.VirtualFileWithType com.intellij.openapi.vfs.VirtualFile getFile()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.completion.full.line.local.generation.RagRefactoringListenerProvider.Listener com.intellij.openapi.vfs.VirtualFile getOldFile()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;243.21565.193&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.completion.full.line.local.generation.SimilarContextRetriever void dropChunksCache(com.intellij.openapi.vfs.VirtualFile)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;243.21565.193&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.completion.full.line.local.generation.UtilsKt kotlin.sequences.Sequence&lt;com.intellij.openapi.vfs.VirtualFile&gt; traverseAllDirectoriesFrom(com.intellij.openapi.vfs.VirtualFile, kotlin.jvm.functions.Function1&lt;? super com.intellij.openapi.vfs.VirtualFile,java.lang.Boolean&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;243.21565.193&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.completion.full.line.local.generation.RecentContextRetriever kotlin.Pair&lt;java.lang.String,java.lang.Integer&gt; getChunk(java.lang.String, int, int, java.util.List&lt;java.lang.String&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.19874.12&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.completion.full.line.local.generation.SimilarContextRetriever.RetrievedChunk double getScore()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.completion.full.line.local.generation.LapTimer">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;241.14494.240&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.completion.full.line.local.generation.UtilsKt kotlin.sequences.Sequence&lt;com.intellij.openapi.vfs.VirtualFile&gt; traverseAllDirectoriesFrom(java.util.List&lt;? extends com.intellij.openapi.vfs.VirtualFile&gt;, kotlin.jvm.functions.Function1&lt;? super com.intellij.openapi.vfs.VirtualFile,java.lang.Boolean&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;243.21565.193&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.completion.full.line.local.generation.SimilarContextRetriever.RetrievedChunk void setType(org.jetbrains.completion.full.line.FileType)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.completion.full.line.local.generation.RagRefactoringListenerProvider.Listener Listener(com.intellij.openapi.project.Project, com.intellij.openapi.vfs.VirtualFile)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;243.21565.193&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.completion.full.line.local.generation.SimilarContextRetriever.RetrievedChunk void setScore(double)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
</root>
